#ifndef SOLVER_25x25_INTERFACE
#define SOLVER_25x25_INTERFACE

#include <vector>
#include <iostream>

#include "solver_25x25.h"

#define DOF_IN_X (25) //n, s_i
#define DOF_IN_Y (25) //m, t_j
#define NUM_DOF (DOF_IN_X + DOF_IN_Y)

using namespace std;

class Solver25x25Interface
{
public:
    static vector<double> solve(vector<double>& S, vector<double>& B, double W, double H, double LW, double LH);
};



#endif