# Generate folder
rm -fr distrib
mkdir distrib

# Copy executable
cp build/Release/SIR2 distrib/SIR

# Copy dependencies
cd distrib

cp /opt/local/lib/libQtCore.dylib .
cp /opt/local/lib/libQtGui.dylib .
cp /opt/local/lib/libQtOpenGL.dylib .
cp /opt/local/lib/libAntTweakBar.dylib .
cp /opt/local/lib/libGLEW.dylib . 
cp /opt/local/lib/libz.1.dylib .
cp /opt/local/lib/libpng14.14.dylib .

#copy default image
cp ../child.png .

# Change the search paths in the libs
#install_name_tool -id libQtCore.4.dylib libQtCore.4.dylib

install_name_tool -change /opt/local/lib/libQtCore.4.dylib @executable_path/libQtCore.dylib SIR
install_name_tool -change /opt/local/lib/libQtGui.4.dylib @executable_path/libQtGui.dylib SIR
install_name_tool -change /opt/local/lib/libQtOpenGL.4.dylib @executable_path/libQtOpenGL.dylib SIR
install_name_tool -change /opt/local/lib/libAntTweakBar.dylib @executable_path/libAntTweakBar.dylib SIR
install_name_tool -change /opt/local/lib/libGLEW.1.7.0.dylib @executable_path/libGLEW.dylib SIR

#fix QT path
install_name_tool -change /opt/local/lib/libz.1.dylib @executable_path/libz.1.dylib libQtCore.dylib
install_name_tool -change /opt/local/lib/libz.1.dylib @executable_path/libz.1.dylib libQtGui.dylib
install_name_tool -change /opt/local/lib/libpng14.14.dylib @executable_path/libpng14.14.dylib libQtGui.dylib

install_name_tool -change /opt/local/lib/libQtCore.4.dylib @executable_path/libQtCore.dylib libQtGui.dylib
install_name_tool -change /opt/local/lib/libQtCore.4.dylib @executable_path/libQtCore.dylib libQtOpenGL.dylib
install_name_tool -change /opt/local/lib/libQtGui.4.dylib @executable_path/libQtGui.dylib libQtOpenGL.dylib

